Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Transmit_File::Result Class Reference

This is that class which will be passed back to the <handler> when the asynchronous transmit file completes. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Transmit_File::Result:

[legend]
Collaboration diagram for ACE_Asynch_Transmit_File::Result:

[legend]
List of all members.

## Public Methods
ACE_HANDLE | socket (void) const
| Socket used for transmitting the file. More...
ACE_HANDLE | file (void) const
| File from which the data is read. More...
Header_And_Trailer * | header_and_trailer (void) const
| Header and trailer data associated with this transmit file. More...
u_long | bytes_to_write (void) const
| The number of bytes which were requested at the start of the asynchronous transmit file. More...
u_long | bytes_per_send (void) const
| Number of bytes per send requested at the start of the transmit file. More...
u_long | flags (void) const
| Flags which were passed into transmit file. More...
ACE_Asynch_Transmit_File_Result_Impl * | implementation (void) const
| Get the implementation class. More...
## Protected Methods
| Result (ACE_Asynch_Transmit_File_Result_Impl *implementation)
| Constructor. More...
virtual | ~Result (void)
| Destructor. More...
## Protected Attributes
ACE_Asynch_Transmit_File_Result_Impl * | implementation_
| The implementation class. More...
## Friends
class | ACE_POSIX_Asynch_Transmit_File_Result
| The concrete implementation result classes only construct this class. More...
class | ACE_WIN32_Asynch_Transmit_File_Result

## Detailed Description

This is that class which will be passed back to the <handler> when the asynchronous transmit file completes.

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous transmit file.

## Constructor & Destructor Documentation

ACE_Asynch_Transmit_File::Result::Result | ( | ACE_Asynch_Transmit_File_Result_Impl * | implementation | ) | `[protected]`

| Constructor.

ACE_Asynch_Transmit_File::Result::~Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

u_long ACE_Asynch_Transmit_File::Result::bytes_per_send | ( | void |  | ) | const

| Number of bytes per send requested at the start of the transmit file.

u_long ACE_Asynch_Transmit_File::Result::bytes_to_write | ( | void |  | ) | const

| The number of bytes which were requested at the start of the asynchronous transmit file.

ACE_HANDLE ACE_Asynch_Transmit_File::Result::file | ( | void |  | ) | const

| File from which the data is read.

u_long ACE_Asynch_Transmit_File::Result::flags | ( | void |  | ) | const

| Flags which were passed into transmit file.

ACE_Asynch_Transmit_File::Header_And_Trailer * ACE_Asynch_Transmit_File::Result::header_and_trailer | ( | void |  | ) | const

| Header and trailer data associated with this transmit file.

ACE_Asynch_Transmit_File_Result_Impl * ACE_Asynch_Transmit_File::Result::implementation | ( | void |  | ) | const

| Get the implementation class. Reimplemented from ACE_Asynch_Result.

ACE_HANDLE ACE_Asynch_Transmit_File::Result::socket | ( | void |  | ) | const

| Socket used for transmitting the file.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Transmit_File_Result`[friend]`

| The concrete implementation result classes only construct this class.

friend class ACE_WIN32_Asynch_Transmit_File_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Transmit_File_Result_Impl* ACE_Asynch_Transmit_File::Result::implementation_`[protected]`

| The implementation class. Reimplemented from ACE_Asynch_Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp